Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 20 Sep 2014, 12:25
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Nvidia drivers
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 5 [69 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Author Message
peebee


Joined: 21 Sep 2008
Posts: 1419
Location: Malvern, Worcs, UK

PostPosted: Tue 21 May 2013, 15:53    Post subject:  

ETP wrote:
Hi peebee,
Please see my post in the 5.6 thread. You may wish to try that sfs. If however you wish to compile
your own driver you WILL need a savefile and you WILL need to first blacklist the Nouveau module.
So.....
1. Create a savefile and reboot.
2. Blacklist the Nouveau module and reboot.
3. Load the devx & kernel SFSs.
4. Drop to a command prompt in the same directory as you have the run file. (Check with ls when there)
5. Type sh ./first few letters of the name of the run file observing the case.
6. Press Tab key to complete the full name followed by enter.


Hi ETP

Thanks for the response - appreciated. Apparently my nvidia version GeForce 7025 is not supported by the 319.17 driver.

I would like to create an sfs for the 304.88 driver for kernel 3.2.44 so that I can install it without consuming savefile space.

Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Wed 22 May 2013, 04:52    Post subject: getnvidia-0.9.1  

# 22may2013: fix NVIDIA-*.run check (thanks to peebee)
getnvidia-0.9.1.pet to install NVIDIA driver / build SFS/PET.
http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 1419
Location: Malvern, Worcs, UK

PostPosted: Wed 22 May 2013, 12:20    Post subject: Re: getnvidia-0.9.1  

shinobar wrote:
# 22may2013: fix NVIDIA-*.run check (thanks to peebee)
getnvidia-0.9.1.pet to install NVIDIA driver / build SFS/PET.
http://shino.pos.to/party/bridge.cgi?puppy/opt/


Confirmed - now produces the sfs

however.............

the sfs does not work with Precise 5.6 - continually get the reboot message below on every reboot + xorgwizard does not show the nvidia driver so it can't be selected.

however..............

taking the advice of ETP (thanks ETP) by blacklisting nouveau then rebooting the nvidia driver is automatically selected and works.

Cheers
peebee
capture5259.png
 Description   
 Filesize   22.59 KB
 Viewed   1140 Time(s)

capture5259.png


_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Wed 22 May 2013, 19:51    Post subject: Re: getnvidia-0.9.1  

peebee wrote:
the sfs does not work with Precise 5.6 - continually get the reboot message below on every reboot + xorgwizard does not show the nvidia driver so it can't be selected.

I will check it up.
Thanks.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Thu 23 May 2013, 05:53    Post subject: Re: getnvidia-0.9.1  

peebee wrote:
however.............

the sfs does not work with Precise 5.6 - continually get the reboot message below on every reboot + xorgwizard does not show the nvidia driver so it can't be selected.

however..............

taking the advice of ETP (thanks ETP) by blacklisting nouveau then rebooting the nvidia driver is automatically selected and works.


I have fixed that, but I need a little bit of information, see my post:

http://murga-linux.com/puppy/viewtopic.php?p=705073#705073

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Thu 23 May 2013, 08:11    Post subject: getnvidia-0.9.2  

Please try:
# 22may2013: fix NVIDIA-*.run check (thanks to peebee)
# 23may2012: fix disablenouveau (Thanks to peebee)
getnvidia-0.9.2.pet to install NVIDIA driver / build SFS/PET.
http://shino.pos.to/party/bridge.cgi?puppy/opt/

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 1419
Location: Malvern, Worcs, UK

PostPosted: Thu 23 May 2013, 12:19    Post subject: Re: getnvidia-0.9.2  

shinobar wrote:
Please try:
# 22may2013: fix NVIDIA-*.run check (thanks to peebee)
# 23may2012: fix disablenouveau (Thanks to peebee)
getnvidia-0.9.2.pet to install NVIDIA driver / build SFS/PET.
http://shino.pos.to/party/bridge.cgi?puppy/opt/


Hi Shinobar

Confirmed - 0.9.2 creates an sfs which loads correctly after a reboot and is displayed by xorgwizard.

BarryK has made changes in parallel to Woof for Precise 5.6 so hopefully the 2 sets of changes will be complementary....

Thanks for your efforts
Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Fri 31 May 2013, 17:13    Post subject: getnvidia-0.9.8  

getnvidia-0.9.8.pet to install NVIDIA driver / build SFS/PET.
http://shino.pos.to/party/bridge.cgi?puppy/opt/

# 22may2013: fix NVIDIA-*.run check (thanks to peebee)
# 23may2012: fix disablenouveau (Thanks to peebee)
# 24may2012: improve disablenouveau keeping compatibility with Barry's xorgwizard-cli
# 25may2013: new rc.nvidia mechanism
# 26may2013: never use nvidia-xconfig as for normal puppy, cleaning up save layers

getnvidia-0.9.8-64.pet for LHP64 and for Fatdog.
http://shino.pos.to/party/bridge.cgi?puppy/opt/pup64/

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
partsman

Joined: 06 Jun 2012
Posts: 250
Location: OHIO,USA

PostPosted: Mon 03 Jun 2013, 16:25    Post subject:  

Hello all i have tried the getnvidia pet on an older box lucid 528.005 i installed devx sfs and kernel sources sfs i then loged out to command prompt and typed getnvidia got an error cant find kernel modules and may have to use path to module option just wondering if anyone else has see or ran across this ? Confused THANK YOU in advance ! Wink
_________________
"PUPPY" POWERED BY PEOPLE
AKITA LINUX kernel 2.6.32.28
Wink
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Mon 03 Jun 2013, 18:13    Post subject: kernel source for the lucid puppy  

The kernel source for the lucid 528.005 is
http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/pet_packages-lucid/kernel_src_L4-2.6.33.2-patched.sfs
MD5: 78a989b17552d10bd2d7ba2f2c3c1217

@partsman
What is your graphic tip? some need older version drivers.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
partsman

Joined: 06 Jun 2012
Posts: 250
Location: OHIO,USA

PostPosted: Mon 03 Jun 2013, 18:28    Post subject:  

Thanks shinobar
it is a nvidia geforce fx 5200 pci card i downloaded the driver
NVIDIA-LINUX-x86-173.14.12-pkg1.run and thanks but same kernel source sfs that i am using !

_________________
"PUPPY" POWERED BY PEOPLE
AKITA LINUX kernel 2.6.32.28
Wink
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Mon 03 Jun 2013, 19:27    Post subject: getnvidia-0.9.8.1  

Sorry, fix was failed to build old drivers.
UPDATE: getnvidia-0.9.8.1
http://shino.pos.to/party/bridge.cgi?puppy/opt/

Run the getnvidia with GUI and choose the NVIDIA*.run.

Or you can specify the .run file by the command line.
# getnvidia --help
getnvidia 0.9.8.1
Get and make sfs of the NVIDIA driver.
usage: getnvidia [ --update | SOURCE_FILE ]
--update: install latest version. Needs internet connection (defalt)
SOURCE_FILE: NVIDIA driver source(NVIDIA-*.run) file.
getnvidia-0.9.8.1.png
 Description   
 Filesize   39.39 KB
 Viewed   1046 Time(s)

getnvidia-0.9.8.1.png


_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
partsman

Joined: 06 Jun 2012
Posts: 250
Location: OHIO,USA

PostPosted: Mon 03 Jun 2013, 23:34    Post subject:  

Thanks shinobar Wink
I also tried NVIDIA-LINUX-x86-173.14.12-pkg1.run driver with getnvidia 0.9.8.1
with no avail but a more updated driver for my card NVIDIA-LINUX-x86-173.14.37-pkg1.run driver worked perfect Wink but i had also tried it with
getnvidia 0.9.8 with no avail seems that the updated driver worked perfect this time Wink THANK YOU ! very good work we have needed this for some time ! I installed mesa utilities to run glxgears THANKS AGAIN Very Happy

_________________
"PUPPY" POWERED BY PEOPLE
AKITA LINUX kernel 2.6.32.28
Wink
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1419
Location: Malvern, Worcs, UK

PostPosted: Fri 09 Aug 2013, 05:27    Post subject: Re: getnvidia-0.9.8.1  

shinobar wrote:
UPDATE: getnvidia-0.9.8.1

getnvidia does not seem to create a working driver under the new Slacko 5.6beta's from 01micko - an sfs is produced apparently successfully but when it runs it says there is a kernel mismatch...and there are errors/warnings in the log files left in /root

This is using the 5.5.80 k3.4.52-4g version of Slacko and trying to build the 304.88 legacy driver.

01micko has issued pets of these drivers (for both k3.4.52-4g and k3.10.5-pae) and these do work if converted to sfs and then selected in xorgwizard.

Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send private message 
meeki


Joined: 23 Jul 2012
Posts: 123
Location: Portland OR

PostPosted: Thu 05 Sep 2013, 01:47    Post subject: Re: getnvidia-0.9.8.1  

peebee wrote:

getnvidia does not seem to create a working driver under the new Slacko 5.6beta's from 01micko - an sfs is produced apparently successfully but when it runs it says there is a kernel mismatch...and there are errors/warnings in the log files left in /root
peebee


Well after a year away from puppy I came back to LightHouse64. First thing I noticed was a lack of the newest nvidia drivers. Back in the day before your package I would have to use a tool to mark every new file and file change and symb_link made by the .run file from Nvidia then painfully integrate them into a pet. Then make a install script to sort out the crap.

Just like peebee I too get an error. However it only happened when I went to check that my SFS made by 'getnvidia' worked.

If I use 'getnvidia' to make an SFS it also installs it to my system and brings me into a working desktop running nvidia. However when I started LH64 in ram mode with no save file and used the SFS made in the prior installation i get this.



Well I know right off it was a lie. So instead of bitching I dug into your bash. BTW nice work. I only understand about 70% of it but it was enough.

The issue is in the nvidia file (usr/share/getnvidia/nvidia) the one that sits in the startup directory after ya make a pet or SFS.

All the checks starting around line 255 fail all the way to the last else.
"The NVIDIA X driver is found, but lacking the module for the current kernel"

As a check using 'nvidia-xconfig -t' shows that the xorg.config file has no nvidia driver in it. And spits out "xorg.conf VALIDATION ERROR:"

What is nice about this is I was able to put a check in for any ERROR of the nvidia-xconfig.

Code:
xerror=$(nvidia-xconfig -t 2>&1 >&-)
echo "$xerror" | grep -q 'ERROR' && xerror="y" || xerror=""


Then I was able to throw another elif in.
Code:
elif  [ "$xerror" ]; then
  # Meeki -
  # Failed Xorg file for nvidia standards
  # Runs nvidia-xconfig to set correct format
   nvidia-xconfig &&
    MSG=$(gettext "xorg.conf VALIDATION ERROR: You need to restart X to enable a new xorg.conf ")
   BUTTONS='<button>
    <input file>/usr/local/lib/X11/mini-icons/mini-x.xpm</input><label>"'$(gettext "Restart X")'"</label><action>EXIT:RestartX</action>
  </button>
  <button cancel></button>'


Now when it cant find a xorg.config file or one with an error it can now try to make one. and restart X

Here is what I get now


Then I restart X and it gives me the good to go with driver version number etc popup.

Later tonight I throw a link up to the modified version I made.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 5 [69 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0958s ][ Queries: 13 (0.0069s) ][ GZIP on ]